> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Voyage AI

> Use Voyage AI's embeddings and reranking models through Portkey.

## Quick Start

Get started with Voyage AI in under 2 minutes:

```python Python icon="python" theme={"system"}
from portkey_ai import Portkey

# 1. Install: pip install portkey-ai
# 2. Add @voyage provider in model catalog
# 3. Use it:

portkey = Portkey(api_key="PORTKEY_API_KEY")

embedding = portkey.embeddings.create(
    model="@voyage/voyage-3",
    input="Name the tallest buildings in Hawaii"
)

print(embedding.data[0].embedding)
```

```js Javascript icon="square-js" theme={"system"}
import Portkey from 'portkey-ai'

// 1. Install: npm install portkey-ai
// 2. Add @voyage provider in model catalog
// 3. Use it:

const portkey = new Portkey({
    apiKey: "PORTKEY_API_KEY"
})

const embedding = await portkey.embeddings.create({
    model: "@voyage/voyage-3",
    input: "Name the tallest buildings in Hawaii"
})

console.log(embedding.data[0].embedding)
```

```python OpenAI Py icon="python" theme={"system"}
from openai import OpenAI
from portkey_ai import PORTKEY_GATEWAY_URL

# 1. Install: pip install openai portkey-ai
# 2. Add @voyage provider in model catalog
# 3. Use it:

client = OpenAI(
    api_key="PORTKEY_API_KEY",  # Portkey API key
    base_url=PORTKEY_GATEWAY_URL
)

embedding = client.embeddings.create(
    model="@voyage/voyage-3",
    input="Name the tallest buildings in Hawaii"
)

print(embedding.data[0].embedding)
```

```js OpenAI JS icon="square-js" theme={"system"}
import OpenAI from "openai"
import { PORTKEY_GATEWAY_URL } from "portkey-ai"

// 1. Install: npm install openai portkey-ai
// 2. Add @voyage provider in model catalog
// 3. Use it:

const client = new OpenAI({
    apiKey: "PORTKEY_API_KEY",  // Portkey API key
    baseURL: PORTKEY_GATEWAY_URL
})

const embedding = await client.embeddings.create({
    model: "@voyage/voyage-3",
    input: "Name the tallest buildings in Hawaii"
})

console.log(embedding.data[0].embedding)
```

```bash cURL icon="square-terminal" theme={"system"}
# 1. Add @voyage provider in model catalog
# 2. Use it:

curl https://api.portkey.ai/v1/embeddings \
  -H "Content-Type: application/json" \
  -H "x-portkey-api-key: $PORTKEY_API_KEY" \
  -d '{
    "model": "@voyage/voyage-3",
    "input": "Name the tallest buildings in Hawaii"
  }'
```

> [!NOTE]
>
> **Tip:** You can also set `provider="@voyage"` in `Portkey()` and use just `model="voyage-3"` in the request.

## Add Provider in Model Catalog

Before making requests, add Voyage AI to your Model Catalog:

1. Go to [**Model Catalog → Add Provider**](https://app.portkey.ai/model-catalog/providers)
2. Select **Voyage AI**
3. Enter your [Voyage API key](https://dash.voyageai.com/)
4. Name your provider (e.g., `voyage`)

> [card] [Complete Setup Guide](https://docs.portkey.ai/docs/product/model-catalog.md)
>
> See all setup options and detailed configuration instructions

***

## Voyage AI Capabilities

### Embeddings

Generate high-quality embeddings:

```python Python theme={"system"}
from portkey_ai import Portkey

portkey = Portkey(api_key="PORTKEY_API_KEY", provider="@voyage")

embedding = portkey.embeddings.create(
    model="voyage-3",
    input="Name the tallest buildings in Hawaii"
)

print(embedding.data[0].embedding)
```

```javascript Node.js theme={"system"}
import Portkey from 'portkey-ai';

const portkey = new Portkey({
    apiKey: 'PORTKEY_API_KEY',
    provider: '@voyage'
});

    const embedding = await portkey.embeddings.create({
    model: "voyage-3",
    input: "Name the tallest buildings in Hawaii"
    });

console.log(embedding.data[0].embedding);
```

### Reranking

Rerank documents for better search results:

```python Python theme={"system"}
from portkey_ai import Portkey

portkey = Portkey(api_key="PORTKEY_API_KEY", provider="@voyage")

    response = portkey.post(
            "/rerank",
            model="rerank-2-lite",
            query="What is the capital of the United States?",
            documents=[
                "Carson City is the capital city of the American state of Nevada.",
        "The Commonwealth of the Northern Mariana Islands is a group of islands in the Pacific Ocean.",
        "Washington, D.C. is the capital of the United States.",
        "Capital punishment has existed in the United States since before it was a country."
            ]
        )

    print(response)
```

```javascript Node.js theme={"system"}
import Portkey from 'portkey-ai';

const portkey = new Portkey({
    apiKey: 'PORTKEY_API_KEY',
    provider: '@voyage'
});

const response = await portkey.post(
    "/rerank",
    {
        model: "rerank-2-lite",
        query: "What is the capital of the United States?",
        documents: [
            "Carson City is the capital city of the American state of Nevada.",
            "The Commonwealth of the Northern Mariana Islands is a group of islands in the Pacific Ocean.",
            "Washington, D.C. is the capital of the United States.",
            "Capital punishment has existed in the United States since before it was a country."
        ]
    }
);

console.log(response);
```

***

## Supported Models

Voyage AI offers specialized embedding and reranking models:

| Model | Type | Description |
| - | - | - |
| voyage-3 | Embedding | Latest general-purpose embedding model |
| voyage-3-lite | Embedding | Faster, lighter version |
| voyage-code-3 | Embedding | Optimized for code |
| rerank-2 | Reranking | High-quality reranking |
| rerank-2-lite | Reranking | Faster reranking |

Check [Voyage AI's documentation](https://docs.voyageai.com/) for the complete model list.

***

## Next Steps

> [card] [Gateway Configs](https://docs.portkey.ai/docs/product/ai-gateway.md)
>
> Add fallbacks, load balancing, and more

> [card] [Observability](https://docs.portkey.ai/docs/product/observability.md)
>
> Monitor and trace your Voyage requests

> [card] [Caching](https://docs.portkey.ai/docs/product/ai-gateway/cache-simple-and-semantic.md)
>
> Cache embeddings for faster responses

> [card] [Metadata](https://docs.portkey.ai/docs/product/observability/metadata.md)
>
> Add custom metadata to requests

For complete SDK documentation:

> [card] [SDK Reference](https://docs.portkey.ai/docs/api-reference/sdk/list.md)
>
> Complete Portkey SDK documentation

***

> [card] [Portkey is now PRISMA AIRS AI Gateway. See it in action.](https://www.paloaltonetworks.in/ai-security/ai-gateway?utm_source=portkey\&utm_medium=referral\&utm_campaign=prisma_airs\&utm_content=docs_nav#contact)
>
> Contact Us


## Related topics

- [Overview](https://docs.portkey.ai/docs/integrations/llms.md)
- [Supported Providers](https://docs.portkey.ai/docs/api-reference/inference-api/supported-providers.md)
- [December](https://docs.portkey.ai/docs/changelog/2024/dec.md)
- [January](https://docs.portkey.ai/docs/changelog/2026/january.md)
- [Mistral AI](https://docs.portkey.ai/docs/integrations/llms/mistral-ai.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.